# blast_output_format_v1 = "qseqid sseqid pident length mismatch gapopen qstart qend sstart send evalue bitscore staxids"
# blast_output_format_v2 = "qseqid qgi qacc qaccver qlen sseqid sallseqid sgi sallgi sacc saccver sallacc slen qstart qend " \
#                       "sstart send qseq sseq evalue bitscore score length pident nident mismatch positive gapopen " \
#                       "gaps ppos frames qframe sframe btop staxid ssciname scomname sblastname sskingdom staxids " \
#                       "sscinames scomnames sblastnames sskingdoms stitle salltitles sstrand qcovs qcovhsp qcovus"
# blast_output_format_v3 = "qseqid qlen sseqid sallseqid slen qstart qend " \
#                       "sstart send evalue bitscore score length pident nident " \
#                       "staxids sscinames sskingdoms"
# blast_output_format_v4 = "qseqid qlen sseqid sallseqid slen qstart qend " \
#                       "sstart send evalue bitscore score length pident nident " \
#                       "staxids sscinames sskingdoms stitle"
output_format = {"blast": "qseqid qlen sseqid sallseqid slen qstart qend "
                          "sstart send evalue bitscore score length pident nident "
                          "staxids sscinames sskingdoms stitle qcovs",
                 "blast-short": "qseqid qlen sseqid sallseqid slen qstart qend "
                          "sstart send evalue bitscore score length pident nident "
                          "qcovs",
                 "diamond": "qseqid qlen sseqid sallseqid slen qstart qend "
                            "sstart send evalue bitscore score length pident nident "
                            "staxids sscinames sskingdoms stitle scovhsp"}

default_blast_container = "ncbi/blast"
# default_blast_container = "quay.io/biocontainers/blast:2.10.1--pl526he19e7b1_1"
default_diamond_container = "quay.io/biocontainers/diamond:2.0.13--hdcc8f71_0"

aln_options = {
    "blast": {
        "query": "-query ",
        "db": "-db ",
        "subject": "-subject ",
        "out": "-out ",
        "outfmt": "-outfmt ",
        "taxonlist": "-taxids ",
        "matrix": "-matrix ",
        "evalue": "-evalue ",
        # "id": "--id", #not in
        "gapopen": "-gapopen ",
        "gapextend": "-gapextend ",
        # "min-score": "--min-score",  #not in
        "threads": "-num_threads ",
        "task": "-task ",
        "taxidlist": "-taxidlist "
    },
    "diamond": {
        "query": "--query ",
        "db": "--db ",
        "out": "--out ",
        "outfmt": "--outfmt ",
        "taxonlist": "--taxonlist ",
        #"gencode": "--query-gencode ",
        "matrix": "--matrix ",
        "evalue": "--evalue ",
        # "id": "--id ",
        "gapopen": "--gapopen ",
        "gapextend": "--gapextend ",
        # "min-score": "--min-score ",
        "threads": "--threads ",
        "sensitivity": "--"  # user must provide valid "rest"
    },
}

mode_dict = {"g": "blastx", "p": "blastp"}
