import os
from pathlib import Path
from datetime import datetime


def generate_folder(directory, organism):
    """
    """
    dir_name = "_".join([organism, "COAST", datetime.now().strftime("%Y_%m_%d_%H_%M_%S")])
    workspace = Path(directory).joinpath(dir_name)
    workspace.mkdir(parents=True)
    return workspace


def check_empty(file):
    """
    Check if file is empty, as in it has not content. Not size 0, like for example os.stats does.
    """
    try:
        with open(file) as file:
            file.seek(0, os.SEEK_END)  # go to end of file
            if file.tell():  # if current position is truish (i.e != 0)
                return False  # rewind the file for later use
            else:
                return True
    except:
        raise Exception("Could not assess the file.")
